Bug 138435 - [patch] databases/freetds gnutls linking error
Summary: [patch] databases/freetds gnutls linking error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-01 07:00 UTC by Chris Cowart
Modified: 2010-01-15 00:47 UTC (History)
0 users

See Also:


Attachments
file.diff (1.16 KB, patch)
2009-09-01 07:00 UTC, Chris Cowart
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cowart 2009-09-01 07:00:15 UTC
The configure script for freetds relies on libgnutls-config, which does 
not exist (as witnessed with a gnutls-2.8.3 installation). As such, the 
CFLAGS and LDFLAGS are not being properly set and the port is erroring
out with unresolved libraries. The enclosed patch fixes the configure
script to use pkg-config with a gnutls argument, properly making use
of the installed gnutls.pc files.

Fix: Attached.

Patch attached with submission follows:
How-To-Repeat: Try to portinstall freetds with GNUTLS support.
Comment 1 Edwin Groothuis freebsd_committer 2009-09-01 07:00:31 UTC
Maintainer of databases/freetds,

Please note that PR ports/138435 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/138435

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-09-01 07:00:33 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Chris Cowart 2009-09-17 22:41:31 UTC
Hello,

Could we please get this committed due to maintainer timeout?

Thanks,

-- 
Chris Cowart
Network Technical Lead
Network & Infrastructure Services, RSSP-IT
UC Berkeley
Comment 4 Philip M. Gollucci freebsd_committer 2010-01-13 01:26:28 UTC
State Changed
From-To: feedback->open

feedback timeout > 5 months
Comment 5 Philip M. Gollucci freebsd_committer 2010-01-13 01:26:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 6 dfilter service freebsd_committer 2010-01-14 23:07:01 UTC
pgollucci    2010-01-14 23:06:41 UTC

  FreeBSD ports repository

  Modified files:
    databases/freetds    Makefile 
    databases/freetds/files patch-configure 
  Log:
  - Fix gnutls linking error by using pkg-config
  
  PR:             ports/138435
  Submitted by:   Chris Cowart <ccowart@rescomp.berkeley.edu>
  Approved by:    maintainer timeout (> 5 months)
  
  Revision  Changes    Path
  1.58      +1 -1      ports/databases/freetds/Makefile
  1.4       +5 -4      ports/databases/freetds/files/patch-configure
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Philip M. Gollucci freebsd_committer 2010-01-15 00:47:35 UTC
State Changed
From-To: open->closed

Committed. Thanks!